import 'package:flutter/material.dart';

import 'appSharePlatformView.dart';

class QrShareView extends StatefulWidget {
  const QrShareView({super.key});

  @override
  State<QrShareView> createState() => _QrShareViewState();
}

class _QrShareViewState extends State<QrShareView> {
  @override
  Widget build(BuildContext context) => DefaultTabController(
      length: 2,
      child: Scaffold(
        appBar: AppBar(
          title: const Text('Teile die App'),
          bottom: const TabBar(
            tabs: [
              Tab(icon: Icon(Icons.android_outlined), text: 'Android'),
              Tab(icon: Icon(Icons.apple_outlined), text: 'iOS & iPadOS'),
            ],
          ),
        ),
        body: const TabBarView(
          children: [
            AppSharePlatformView('Für Android', 'https://play.google.com/store/apps/details?id=eu.mhsl.marianum.mobile.client'),
            AppSharePlatformView('Für iOS & iPad', 'https://apps.apple.com/us/app/marianum-fulda/id6458789560'),
          ],
        ),
      ),
    );
}
